# Declare the CPAN name of the module
%define mod_basename Class-Accessor-Classy

Name:           perl-%{mod_basename}
Version:        0.9.1
Release:        5%{?dist}
Summary:        Accessors with minimal inheritance
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{mod_basename}/
Source:         http://www.cpan.org/modules/by-module/Class/%{mod_basename}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Module::Build) >= 0.28
# These are needed for "Build test"
BuildRequires:  perl(attributes)
BuildRequires:  perl(version)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The Class::Accessor::Classy Perl module provides an extremely small
footprint accessor/mutator declaration scheme for fast and convenient
object attribute setup.  It is intended as a simple and speedy mechanism
for preventing hash-key typos rather than a full-blown object system
with type checking and so on.

The accessor methods appear as a hidden parent class of your package
and generally try to stay out of the way.  The accessors and mutators
generated are of the form C<foo()> and C<set_foo()>, respectively.

%prep
%setup -q -n %{mod_basename}-v%{version}

%build
# Using Module::Build since a Build.PL is present
perl Build.PL installdirs=vendor
./Build

%install
%if 0%{?rhel} && 0%{?rhel} < 6
rm -rf %{buildroot}
%endif
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
./Build test

%if 0%{?rhel} && 0%{?rhel} < 6
%clean
rm -rf %{buildroot}
%endif

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Oct 17 2013 John C. Peterson <jcp@eskimo.com> 0.9.1-5
- Fixed some errors in conditional tests for when to remove buildroot (RHEL < 6)
- Removed the redundant defattr macro from the files section
- Replaced all occurances of the __perl macro with just perl

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.9.1-3
- Perl 5.18 rebuild

* Tue Jul  2 2013 John C. Peterson <jcp@eskimo.com> 0.9.1-2
- Added missing build requirements identified by the reviewer.

* Wed Jun 26 2013 John C. Peterson <jcp@eskimo.com> 0.9.1-1
- Some minor cosmetic fixes to improve readability and to pacify rpmlint.

* Tue Jun 18 2013 John C. Peterson <jcp@eskimo.com> 0.9.1-1
- Baseline specfile autogenerated by cpanspec 1.78.

